Create a Stream execution
curl --request POST \
--url https://api.domo.com/v1/streams/{STREAM_ID}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/streams/{STREAM_ID}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/streams/{STREAM_ID}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"startedAt": "2016-05-26T22:20:21Z",
"currentState": "ACTIVE",
"createdAt": "2016-05-26T22:20:21Z",
"modifiedAt": "2016-05-26T22:20:21Z"
}Stream API
Create a Stream execution
When you’re ready to upload data to your DataSet via a Stream, you first tell Domo that you’re ready to start sending data by creating an Execution.
POST
/
v1
/
streams
/
{STREAM_ID}
/
executions
Create a Stream execution
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Stream
⌘I